'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _defineProperty2 = require('babel-runtime/helpers/defineProperty');

var _defineProperty3 = _interopRequireDefault(_defineProperty2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames2 = require('classnames');

var _classnames3 = _interopRequireDefault(_classnames2);

var _polished = require('polished');

var _Icon = require('../Icon');

var _Icon2 = _interopRequireDefault(_Icon);

var _util = require('../_util');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Button = function (_Component) {
  (0, _inherits3.default)(Button, _Component);

  function Button() {
    (0, _classCallCheck3.default)(this, Button);
    return (0, _possibleConstructorReturn3.default)(this, (Button.__proto__ || (0, _getPrototypeOf2.default)(Button)).apply(this, arguments));
  }

  (0, _createClass3.default)(Button, [{
    key: 'render',
    value: function render() {
      var _classnames;

      var _props = this.props,
          className = _props.className,
          style = _props.style,
          children = _props.children,
          prefixCls = _props.prefixCls,
          radius = _props.radius,
          fill = _props.fill,
          small = _props.small,
          full = _props.full,
          disabled = _props.disabled,
          color = _props.color,
          icon = _props.icon;


      var newStyle = {};

      if (color && (0, _util.isColor)(color)) {
        if (fill) {
          newStyle.color = '#fff';
          newStyle.borderColor = (0, _polished.darken)(0.05, color);
          newStyle.backgroundColor = color;
        } else {
          newStyle.color = color;
          newStyle.borderColor = color;
          newStyle.backgroundColor = 'transparent';
        }
      }
      return _react2.default.createElement(
        'div',
        {
          className: (0, _classnames3.default)(prefixCls, className, (_classnames = {}, (0, _defineProperty3.default)(_classnames, prefixCls + '-' + color, color && !(0, _util.isColor)(color)), (0, _defineProperty3.default)(_classnames, prefixCls + '-disabled', disabled), (0, _defineProperty3.default)(_classnames, prefixCls + '-fill', fill), (0, _defineProperty3.default)(_classnames, prefixCls + '-small', small), (0, _defineProperty3.default)(_classnames, prefixCls + '-radius', radius), (0, _defineProperty3.default)(_classnames, prefixCls + '-full', full), (0, _defineProperty3.default)(_classnames, prefixCls + '-icon', icon), _classnames)),
          style: (0, _extends3.default)({}, newStyle, style)
        },
        icon ? _react2.default.createElement(_Icon2.default, { type: icon }) : children
      );
    }
  }]);
  return Button;
}(_react.Component);

Button.defaultProps = {
  prefixCls: _util.prefix + 'button',
  color: 'default'
};
exports.default = Button;
module.exports = exports['default'];