'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _util = require('../_util');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Row = function (_Component) {
  (0, _inherits3.default)(Row, _Component);

  function Row() {
    (0, _classCallCheck3.default)(this, Row);
    return (0, _possibleConstructorReturn3.default)(this, (Row.__proto__ || (0, _getPrototypeOf2.default)(Row)).apply(this, arguments));
  }

  (0, _createClass3.default)(Row, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          className = _props.className,
          gutter = _props.gutter,
          children = _props.children,
          prefixCls = _props.prefixCls;

      var rowStyle = {};
      var colStyle = {};
      if (Number(gutter) > 0) {
        var width = (0, _util.px2rem)(Number(gutter) / 2);
        rowStyle.marginLeft = '-' + width;
        rowStyle.marginRight = '-' + width;
        colStyle.paddingLeft = width;
        colStyle.paddingRight = width;
      }
      var cols = _react.Children.map(children, function (col) {
        if (!col) {
          return null;
        }
        if (col.props) {
          return (0, _react.cloneElement)(col, {
            style: (0, _extends3.default)({}, colStyle, col.props.style)
          });
        }
        return col;
      });
      return _react2.default.createElement(
        'div',
        { className: (0, _classnames2.default)(prefixCls, className), style: rowStyle },
        cols
      );
    }
  }]);
  return Row;
}(_react.Component);

Row.defaultProps = {
  prefixCls: _util.prefix + 'row'
};
exports.default = Row;
module.exports = exports['default'];